Bug 1147846 - jenkins: jenkins-webapp installs files owned by root instead of jenkins user
Summary: jenkins: jenkins-webapp installs files owned by root instead of jenkins user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jenkins
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1148579 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-30 08:15 UTC by Mikolaj Izdebski
Modified: 2014-11-01 17:02 UTC (History)
2 users (show)

Fixed In Version: jenkins-remoting-2.46-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-01 17:02:35 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-09-30 08:15:27 UTC
Description of problem:
jenkins-webapp installs files owned by root instead of jenkins user

Version-Release number of selected component (if applicable):
1.581-2

Steps to Reproduce:
1. dnf install jenkins jenkins-webapp

Actual results:

  Installing  : jenkins-webapp-1.581-2.fc21.noarch
warning: user jenkins does not exist - using root
warning: group jenkins does not exist - using root

# ls -ld /var/lib/jenkins
drwxrwx---. 2 root root 4096 Sep 28 13:31 /var/lib/jenkins

Expected results:
no warning during install
dir is owned by jenkins

Comment 1 Mikolaj Izdebski 2014-10-03 07:48:59 UTC
*** Bug 1148579 has been marked as a duplicate of this bug. ***

Comment 2 Fedora Update System 2014-10-14 10:29:38 UTC
jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21

Comment 3 Fedora Update System 2014-10-16 02:06:46 UTC
Package jenkins-remoting-2.46-2.fc21, jenkins-ant-plugin-1.2-2.fc21, jenkins-credentials-plugin-1.10-5.fc21, jenkins-external-monitor-job-plugin-1.2-2.fc21, jenkins-javadoc-plugin-1.2-2.fc21, jenkins-junit-plugin-1.1-2.fc21, jenkins-mailer-plugin-1.11-2.fc21, jenkins-ssh-credentials-plugin-1.6.1-4.fc21, jenkins-ssh-slaves-plugin-1.6-4.fc21, js-yui2-2.9.0-7.fc21, js-CodeMirror-4.0.3-4.fc21, jenkins-1.581-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jenkins-remoting-2.46-2.fc21 jenkins-ant-plugin-1.2-2.fc21 jenkins-credentials-plugin-1.10-5.fc21 jenkins-external-monitor-job-plugin-1.2-2.fc21 jenkins-javadoc-plugin-1.2-2.fc21 jenkins-junit-plugin-1.1-2.fc21 jenkins-mailer-plugin-1.11-2.fc21 jenkins-ssh-credentials-plugin-1.6.1-4.fc21 jenkins-ssh-slaves-plugin-1.6-4.fc21 js-yui2-2.9.0-7.fc21 js-CodeMirror-4.0.3-4.fc21 jenkins-1.581-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12898/jenkins-remoting-2.46-2.fc21,jenkins-ant-plugin-1.2-2.fc21,jenkins-credentials-plugin-1.10-5.fc21,jenkins-external-monitor-job-plugin-1.2-2.fc21,jenkins-javadoc-plugin-1.2-2.fc21,jenkins-junit-plugin-1.1-2.fc21,jenkins-mailer-plugin-1.11-2.fc21,jenkins-ssh-credentials-plugin-1.6.1-4.fc21,jenkins-ssh-slaves-plugin-1.6-4.fc21,js-yui2-2.9.0-7.fc21,js-CodeMirror-4.0.3-4.fc21,jenkins-1.581-3.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-11-01 17:02:35 UTC
jenkins-remoting-2.46-2.fc21, jenkins-ant-plugin-1.2-2.fc21, jenkins-credentials-plugin-1.10-5.fc21, jenkins-external-monitor-job-plugin-1.2-2.fc21, jenkins-javadoc-plugin-1.2-2.fc21, jenkins-junit-plugin-1.1-2.fc21, jenkins-mailer-plugin-1.11-2.fc21, jenkins-ssh-credentials-plugin-1.6.1-4.fc21, jenkins-ssh-slaves-plugin-1.6-4.fc21, js-yui2-2.9.0-7.fc21, js-CodeMirror-4.0.3-4.fc21, jenkins-1.581-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.